tomcat-users mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Tim Funk <funk...@joedog.org>
Subject Re: Acrobat 6.0.1 plug-in for IE and Tomcat 4.1.x problem
Date Mon, 26 Jan 2004 15:56:50 GMT
Doh! Wrong topic.

Yeah, placing the right classes into the server classloader should do the 
trick. That bug report has the download attachment for the compiled binary 
(if you trust them) Other wise you can compile the 2 classes yourself.

-Tim

Tim Funk wrote:

> The fix is available for 4.1.30, not 29.
> 
> 4.1.30 has been built and is available for downloading and testing. In 
> time, a vote will be called on 4.1.30 to declare its stability. With 
> luck it will be called stable.
> 
> http://cvs.apache.org/viewcvs.cgi/jakarta-tomcat-4.0/catalina/src/share/org/apache/catalina/realm/JDBCRealm.java

> 
> 
> If the database is mysql - the fix should be un-needed since mysql has 
> some parameter (I don't know) that can automtically reconnect for you.
> 
> -Tim
> 
> Mike Curwen wrote:
> 
>> Tim, is there a way to tell in bugzilla what the 'fix version' is ?
>> It's reported against 4.1.29 (I guess?), but where's the fix?  I guess
>> I'll assume 5.0.18 ?
>>  
>> And would the class file work in 4.1.29, if I couldn't upgrade yet?
>>
>>
>>
>>> -----Original Message-----
>>> From: Tim Funk [mailto:funkman@joedog.org] Sent: Monday, January 26, 
>>> 2004 6:39 AM
>>> To: Tomcat Users List
>>> Subject: Re: Acrobat 6.0.1 plug-in for IE and Tomcat 4.1.x problem
>>>
>>>
>>> Its a fixed bug.
>>>
>>> http://nagoya.apache.org/bugzilla/show_bug.cgi?id=24970
>>>
>>> -Tim
>>>
>>> David Li wrote:
>>>
>>>
>>>> Hi,
>>>>
>>>>  I don't subscribe to the list so direct reply to taweili@yahoo.com
>>>> would be greatly appreciated.
>>>>
>>>>  We recently detect a problem with sending generated PDF to Acrobat
>>>> 6.0.1's IE plug-in. In Tomcat, if the ContentType is set, a 
>>>
>>>
>>> charset is
>>>
>>>> automatically appended to it. This causes problem with 
>>>
>>>
>>> Acrobat 6.0.1's
>>>
>>>> IE plug-in. So far, we have summarize the following conditions:
>>>>
>>>> 1. ContentType: application/pdf
>>>>
>>>> This works fine.
>>>>
>>>> 2. ContentType: application/pdf;
>>>>
>>>> This shows blank pages
>>>>
>>>> 3. ContentType: application/pdf;charset=UTF-8
>>>>
>>>> This shows error message of corrupted PDF file. However, if we download
>>>> it, it can be open correctly with Arcobat 6.0.1. Only plug-in 
>>>> complaining the problem.
>>>>
>>>>  I have tried to contact Adobe about this but, of course, get no
>>>> response. I think this is more of a problem of Adobe's plug-in 
>>>> implementation rather then Tomcat's problem. I have check 
>>>
>>>
>>> the source
>>>
>>>> codes, there is no way to disable appending charset if 
>>>
>>>
>>> setContentType is
>>>
>>>> called.
>>>>
>>>>  Any suggestion is appreciated.



---------------------------------------------------------------------
To unsubscribe, e-mail: tomcat-user-unsubscribe@jakarta.apache.org
For additional commands, e-mail: tomcat-user-help@jakarta.apache.org


Mime
View raw message